CurveRailFrames

Returns planar rail sweep planes, or frames, at specified points on a curve. These planes are similar to what is used by Rhino's ArrayCrv and Sweep1 commands.

Syntax

Rhino.CurveRailFrames (strObject, arrPoints [, blnFreeform [, arrNormal]])

Parameters

strObject

Required.  String.  The curve object's identifier.

intDirection

Required.  Array.  An array of 3-D points that lie in the path curve.

blnFreeform

Optional.  Boolean.  If true, then frames are rotated in three dimensions along the path curve.  If False, then frames follow the curve but maintain a consistent up-direction relative to arrNormal.

arrNormal

Optional.  Array.  A 3-D vector that identifies the up-direction used with blnFreeform=False.

Returns

Array

An array of planes if successful.

Null

If not successful, or on error.

Example

Const RH_CRV = 4

Dim strObject, arrPoints, arrFrames, i

strObject = Rhino.GetObject("Select curve", RH_CRV)

If Not IsNull(strObject) Then

arrPoints = Rhino.DivideCurve(strObject, 10, False, True)

arrFrames = Rhino.CurveRailFrames(strObject, arrPoints)

For i = 0 to UBound(arrFrames)

  Call Rhino.AddPlaneSurface(arrFrames(i), 2.0, 1.0)

Next

End If

Also See

DivideCurve

DivideCurveLength